
D4Science Infrastructure - Incident #5013

Zip files not compatible with Windows

Sep 13, 2016 12:29 PM - Massimiliano Assante

Status: Closed Start date: Sep 13, 2016

Priority: Immediate Due date: Sep 13, 2016

Assignee: Valentina Marioli % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

We have been reported from participants of the ICES training course on Data-limited stock assessment that they are struggling with

the downloads of entire folders (they get zipped).

I was able to reproduce the problem with the following Folder of the gCubeApps/ICES_DALSA

VRE Folders > ICES_DALSA > Literature

 
2016-09-13 10:21:47,168 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-272,getUserWorksp

aceQuote:3256] %[PORTAL] 1034528597 [http-bio-9090-exec-272] INFO  org.gcube.portlets.user.workspa

ce.server.GWTWorkspaceServiceImpl  - returning user quote: WorkspaceUserQuote [diskSpace=273990122

3, diskSpaceFormatted=2.55 GB, totalItems=443]

2016-09-13 10:21:53,732 ERROR server.DownloadServlet [http-bio-9090-exec-262,doGet:146] %org.apach

e.catalina.connector.ClientAbortException: java.net.SocketException: Connection reset

    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:407)

    at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:480)

    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:366)

    at org.apache.catalina.connector.OutputBuffer.writeBytes(OutputBuffer.java:432)

    at org.apache.catalina.connector.OutputBuffer.write(OutputBuffer.java:420)

    at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:91)

    at org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:1026)

    at org.apache.commons.io.IOUtils.copy(IOUtils.java:999)

    at org.gcube.portlets.user.workspace.server.DownloadServlet.doGet(DownloadServlet.java:138)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:624)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor322.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy625.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter
Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:29

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.net.SocketException: Connection reset

    at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:118)

    at java.net.SocketOutputStream.write(SocketOutputStream.java:159)

    at org.apache.coyote.http11.InternalOutputBuffer.realWriteBytes(InternalOutputBuffer.java:215)

    at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:480)

    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:366)

    at org.apache.coyote.http11.InternalOutputBuffer$OutputStreamOutputBuffer.doWrite(InternalOutp

utBuffer.java:240)

    at org.apache.coyote.http11.filters.IdentityOutputFilter.doWrite(IdentityOutputFilter.java:84)

    at org.apache.coyote.http11.AbstractOutputBuffer.doWrite(AbstractOutputBuffer.java:192)

    at org.apache.coyote.Response.doWrite(Response.java:499)

    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:402)

    ... 46 more

[PORTAL] 1034535161 [http-bio-9090-exec-262] ERROR org.gcube.portlets.user.workspace.server.Downlo

adServlet  - Error during folder compression ca4444dc-7755-42be-bf85-747068b191c9

org.apache.catalina.connector.ClientAbortException: java.net.SocketException: Connection reset

    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:407)

    at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:480)

    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:366)

    at org.apache.catalina.connector.OutputBuffer.writeBytes(OutputBuffer.java:432)

    at org.apache.catalina.connector.OutputBuffer.write(OutputBuffer.java:420)

    at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:91)

    at org.apache.commons.io.IOUtils.copyLarge(IOUtils.java:1026)

    at org.apache.commons.io.IOUtils.copy(IOUtils.java:999)

    at org.gcube.portlets.user.workspace.server.DownloadServlet.doGet(DownloadServlet.java:138)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:624)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor322.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy625.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Jun 18, 2025 2/6



Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:29

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.net.SocketException: Connection reset

    at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:118)

    at java.net.SocketOutputStream.write(SocketOutputStream.java:159)

    at org.apache.coyote.http11.InternalOutputBuffer.realWriteBytes(InternalOutputBuffer.java:215)

    at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:480)

    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:366)

    at org.apache.coyote.http11.InternalOutputBuffer$OutputStreamOutputBuffer.doWrite(InternalOutp

utBuffer.java:240)

    at org.apache.coyote.http11.filters.IdentityOutputFilter.doWrite(IdentityOutputFilter.java:84)

    at org.apache.coyote.http11.AbstractOutputBuffer.doWrite(AbstractOutputBuffer.java:192)

    at org.apache.coyote.Response.doWrite(Response.java:499)

    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:402)

    ... 46 more

2016-09-13 10:21:53,733 WARN  server.DownloadServlet [http-bio-9090-exec-262,handleError:443] %[PO

RTAL] 1034535162 [http-bio-9090-exec-262] WARN  org.gcube.portlets.user.workspace.server.DownloadS

ervlet  - Handle error occurred: 500: Error during folder compression: java.net.SocketException: C

onnection reset

Sep 13, 2016 10:21:53 AM org.apache.catalina.core.StandardWrapperValve invoke

SEVERE: Servlet.service() for servlet [DownloadService] in context with path [/workspace-6.13.0] t

hrew exception [java.lang.IllegalStateException: Cannot call sendRedirect() after the response has

 been committed] with root cause

java.lang.IllegalStateException: Cannot call sendRedirect() after the response has been committed

    at org.apache.catalina.connector.ResponseFacade.sendRedirect(ResponseFacade.java:482)

    at javax.servlet.http.HttpServletResponseWrapper.sendRedirect(HttpServletResponseWrapper.java:

137)

    at org.gcube.portlets.user.workspace.server.DownloadServlet.urlRedirect(DownloadServlet.java:5

08)

    at org.gcube.portlets.user.workspace.server.DownloadServlet.handleError(DownloadServlet.java:4

46)

    at org.gcube.portlets.user.workspace.server.DownloadServlet.doGet(DownloadServlet.java:147)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:624)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav
a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at sun.reflect.GeneratedMethodAccessor322.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy625.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:29

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

History

#1 - Sep 13, 2016 12:32 PM - Massimiliano Assante

and another 

016-09-13 10:31:29,902 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-247,getNameForSpecialFolder:38

6] %[PORTAL] 1035111331 [http-bio-9090-exec-247] INFO  org.gcube.portlets.user.workspace.server.GWTWorkspaceSe

rviceImpl  - Read special folder name: 'VRE Folders', from property file..

2016-09-13 10:31:29,902 INFO  server.GWTWorkspaceServiceImpl [http-bio-9090-exec-247,getFolderChildrenForFileG

rid:425] %[PORTAL] 1035111331 [http-bio-9090-exec-247] INFO  org.gcube.portlets.user.workspace.server.GWTWorks

paceServiceImpl  - Special folder name updated as: VRE Folders

Sep 13, 2016 10:31:29 AM org.apache.catalina.core.StandardWrapperValve invoke

SEVERE: Servlet.service() for servlet [WorkspaceService] in context with path [/workspace-6.13.0] threw except

ion [java.lang.RuntimeException: Unable to report failure] with root cause

java.net.SocketException: Broken pipe

    at java.net.SocketOutputStream.socketWrite0(Native Method)

    at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:113)

    at java.net.SocketOutputStream.write(SocketOutputStream.java:159)
    at org.apache.coyote.http11.InternalOutputBuffer.realWriteBytes(InternalOutputBuffer.java:215)

    at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:480)

    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:366)

    at org.apache.coyote.http11.InternalOutputBuffer$OutputStreamOutputBuffer.doWrite(InternalOutputBuffer.jav

a:240)

    at org.apache.coyote.http11.filters.IdentityOutputFilter.doWrite(IdentityOutputFilter.java:84)

    at org.apache.coyote.http11.AbstractOutputBuffer.doWrite(AbstractOutputBuffer.java:192)

    at org.apache.coyote.Response.doWrite(Response.java:499)

    at org.apache.catalina.connector.OutputBuffer.realWriteBytes(OutputBuffer.java:402)

    at org.apache.tomcat.util.buf.ByteChunk.append(ByteChunk.java:371)

    at org.apache.catalina.connector.OutputBuffer.writeBytes(OutputBuffer.java:432)

    at org.apache.catalina.connector.OutputBuffer.write(OutputBuffer.java:420)

    at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:91)

    at org.apache.catalina.connector.CoyoteOutputStream.write(CoyoteOutputStream.java:84)

    at com.google.gwt.user.server.rpc.RPCServletUtils.writeResponse(RPCServletUtils.java:375)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.writeResponse(RemoteServiceServlet.java:357)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:256)

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62

)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:1

16)

    at sun.reflect.GeneratedMethodAccessor322.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67)

    at com.sun.proxy.$Proxy625.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:1

16)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilter(InvokerFil

terChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:9

6)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(InvokerFilterChain

.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:1

09)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:29)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

2016-09-13 10:31:29,925 INFO  workspace.JCRWorkspaceItem [http-bio-9090-exec-300,markAsRead:838] %[PORTAL] 103

5693422 [http-bio-9090-exec-300] INFO  org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem  - Mark Par

ent of Node /Share/3b6a877c-3ee6-4cf4-b408-34bf8012d5c2/Shiny DLM tool/www As Read 

#2 - Sep 13, 2016 12:32 PM - Massimiliano Assante

- File Screen Shot 2016-09-13 at 12.31.32.png added

#3 - Sep 13, 2016 12:34 PM - Massimiliano Assante

My feeling (just speculating) is that the compression of the folder could take longer than expected and that then an http call timeout occurs.
#4 - Sep 13, 2016 02:19 PM - Pasquale Pagano

- Priority changed from Urgent to Immediate

This is what should never happen. Let's try do fix it immediately to at least demonstrate that we are able to fix issues on demand 

#5 - Sep 13, 2016 02:22 PM - Valentina Marioli

- Status changed from New to In Progress

#6 - Sep 13, 2016 02:24 PM - Massimiliano Assante

the issue is twofold, one is this one (which i think cannot be fixed very soon), apart from this issue the other issue they are encountering is that the zip

file produced by the Workspace cannot be extracted with the default Windows program.

I therefore suggested to Anne Cooper (ICES) to install WinRAR, she did it and was able to uncompress the file, however she replied the following:

"I've installed the WinRAR (I had a smaller version on my computer, but apparently you need the 64bit) and it works! I've shared this workaround

with the class. Unfortunately, most of them >aren't allowed to install anything on their work laptops. Therefore, we're all looking forward to a final

solution.

anne"

 most of the participants aren't allowed to install anything on their work laptops therefore cannot extract the workspace folder, not sure how to solve

this...

#7 - Sep 13, 2016 02:28 PM - Massimiliano Assante

perhaps this post can help in solving the uncompress windows problem

http://superuser.com/questions/5155/how-to-create-a-zip-file-compatible-with-windows-under-linux

I have a Windows VM to check if it works

#8 - Sep 13, 2016 06:05 PM - Valentina Marioli

- Subject changed from Workspace download folder fails when folder content is large in size (more than 200MB) to Zip files not compatible with

Windows

#10 - Sep 13, 2016 11:05 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

the patch fixing the windows uncompress folder has been deployed in production, the other issue is tracked as a bug in ticket 

https://support.d4science.org/issues/5019. The incident can be closed.
